Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ScaleSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Scale. More...

`#include <xfc/gtk/scalesignals.hh>`

Inheritance diagram for Xfc::Gtk::ScaleSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual char * on_format_value (double value)
    Called to format the scale value before it gets displayed.

## Protected Member Functions

Constructors

- ScaleSignals (Scale *scale)
    Constructs a new ScaleSignals object.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Scale.

## Constructor & Destructor Documentation

Xfc::Gtk::ScaleSignals::ScaleSignals | ( | Scale * | scale | ) | `[protected]`

Constructs a new ScaleSignals object.

Parameters:

  | scale | A Scale object inheriting the ScaleSignals implementation.

## Member Function Documentation

virtual char* Xfc::Gtk::ScaleSignals::on_format_value | ( | double | value | ) | `[virtual]`

Called to format the scale value before it gets displayed.

Parameters:

  | value | The scale value to format.

Returns:
  An allocated string representing value.

This signal handler allows you to change how the scale value is displayed. The return value must be an allocated string representing value. That string will then be used to display the scale's value. Here's an example signal handler which displays a value 1.0 as with "-->1.0<--".

                 char*
                 MyScale::on_format_value(double value)
                 {
                    return g_strdup_printf("-->%0.*g<--", scale->get_digits(value));
                 }

The documentation for this class was generated from the following file:

- scalesignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3